corda / net.corda.core.testing / PublicKeyGenerator

# PublicKeyGenerator

`class PublicKeyGenerator : Generator<PublicKey>`

### Constructors

<init> | `PublicKeyGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): PublicKey`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck